Listar ventas
curl --request GET \
--url https://api.filexpress.app/api/external/sales \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/sales"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/sales",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"data": [
{
"sale_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"generation_code": "6F1E2D3C-8A4B-4C5D-9E6F-0A1B2C3D4E5F",
"control_number": "DTE-01-M001P001-000000000000001",
"document_type": "fc",
"status": "PROCESADO",
"issue_time": "2026-10-01T10:30:00-06:00",
"payment_status": "payed",
"is_credit": false,
"nullified": false,
"customer": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Razón Social S.A. de C.V."
},
"totals": {
"sale_total": 22.6,
"sale_to_payment": 22.6
}
}
],
"pagination": {
"current_page": 1,
"last_page": 1,
"per_page": 100,
"total": 1
}
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "The date range cannot exceed 93 days."
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Listar ventas
Ventas de una sucursal en un rango de hasta 93 días, para conciliar con un ERP.
Permiso requerido: sales
GET
/
sales
Listar ventas
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Sucursal (GET /branches). De otro negocio → 404.
Fecha inicial (YYYY-MM-DD). Rango máximo 93 días.
Fecha final (YYYY-MM-DD), mayor o igual que start_date.
Tipo de documento (fc, ccf, fex, nc, nd…).
Estado del documento (máx. 30 caracteres).
Estado de pago.
Available options:
pending, partial, payed Filtra por cliente.
Resultados por página (1–500, por defecto 100).
Required range:
1 <= x <= 500Página.
Required range:
x >= 1